PATCH /commerce/{accountId}/baskets/{basketId}/fulfillment

Path parameters

  • accountId string Required
  • basketId string Required
application/json

Body

  • RAW_BODY object Required
    Hide RAW_BODY attribute Show RAW_BODY attribute object
    • type string Required

      Values are pickup, delivery, eatIn, or dispatch. Default value is pickup.

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • id string
    • created string
    • updated string
    • deleted boolean

      Default value is true.

    • etag string
    • accountId string
    • storeId string
    • currency string
    • taxExclusive boolean

      Default value is true.

    • status string
    • items array[object]
      Hide items attributes Show items attributes object
      • menuId string
      • plu string
      • name string
      • quantity integer

        Default value is 0.

      • price integer

        Default value is 0.

      • gross integer

        Default value is 0.

      • taxes array
      • net integer

        Default value is 0.

      • subItems array[object]
        Hide subItems attributes Show subItems attributes object
        • customizationPlu string
        • plu string
        • name string
        • quantity integer

          Default value is 0.

        • price integer

          Default value is 0.

        • subItems array
      • discounts array
      • discountTotal integer

        Default value is 0.

    • payment object
      Hide payment attributes Show payment attributes object
      • tips array
      • discountsTotal integer

        Default value is 0.

      • taxTotal integer

        Default value is 0.

      • tipTotal integer

        Default value is 0.

      • total integer

        Default value is 0.

    • fulfillment object
      Hide fulfillment attributes Show fulfillment attributes object
      • type string
      • spot string
    • taxes array
    • discounts array
  • 400 application/json

    400

PATCH /commerce/{accountId}/baskets/{basketId}/fulfillment
curl \
 --request PATCH 'https://api.staging.deliverect.com/commerce/{accountId}/baskets/{basketId}/fulfillment' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"RAW_BODY":{"type":"pickup"}}'
Request examples
{
  "RAW_BODY": {
    "type": "pickup"
  }
}
Response examples (200)
{
  "id": "63********************a7",
  "etag": "f4c8f20eeb23206c2bc8cf66c2843a6efaa3eaaf",
  "items": [
    {
      "net": 3800,
      "plu": "STK-01",
      "name": "Delicious Steak Frites",
      "gross": 3800,
      "price": 1500,
      "taxes": [],
      "menuId": "63********************42",
      "quantity": 2,
      "subItems": [
        {
          "plu": "DRNK-01",
          "name": "Coca Cola",
          "price": 400,
          "quantity": 1,
          "subItems": [],
          "customizationPlu": "MOD-01"
        }
      ],
      "discounts": [],
      "discountTotal": 0
    },
    {
      "net": 1500,
      "plu": "P-BURG-CHK",
      "name": "Chicken Burger",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "63********************42",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    }
  ],
  "taxes": [],
  "status": "open",
  "created": "2024-05-14T14:41:49.738000+00:00",
  "deleted": false,
  "payment": {
    "tips": [],
    "total": 5300,
    "taxTotal": 0,
    "tipTotal": 0,
    "discountsTotal": 0
  },
  "storeId": "63********************b3",
  "updated": "2024-05-14T14:41:49.754000+00:00",
  "currency": "EUR",
  "customer": null,
  "accountId": "63********************g6",
  "discounts": [],
  "fulfillment": {
    "spot": "TABLE-1",
    "type": "eatIn"
  },
  "taxExclusive": false,
  "channelLinkId": "63********************b3",
  "channelOrderId": null,
  "channelOrderDisplayId": null
}
Response examples (400)
{}